
From: Patrick Boettcher <pb@linuxtv.org>

Fix memcpy copying into the wrong destination.  Thanks to Allan Third for
reporting.

Signed-off-by: Patrick Boettcher <pb@linuxtv.org>
Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/dvb-usb/digitv.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/media/dvb/dvb-usb/digitv.c~dvb-usb-digitv-memcpy-fix drivers/media/dvb/dvb-usb/digitv.c
--- 25/drivers/media/dvb/dvb-usb/digitv.c~dvb-usb-digitv-memcpy-fix	Mon Jun 27 15:37:14 2005
+++ 25-akpm/drivers/media/dvb/dvb-usb/digitv.c	Mon Jun 27 15:37:14 2005
@@ -37,7 +37,7 @@ static int digitv_ctrl_msg(struct dvb_us
 		dvb_usb_generic_write(d,sndbuf,7);
 	} else {
 		dvb_usb_generic_rw(d,sndbuf,7,rcvbuf,7,10);
-		memcpy(&rbuf,&rcvbuf[3],rlen);
+		memcpy(rbuf,&rcvbuf[3],rlen);
 	}
 	return 0;
 }
_
